%global momorel 2
%global srcname %{name}_%{version}-1

Summary: Utilities for managing the XFS filesystem.
Name: xfsprogs
Version: 2.9.7
Release: %{momorel}m%{?dist}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: glibc
Source0: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{srcname}.tar.gz
NoSource: 0
Source1: xfsprogs-wrapper.h
Patch0: xfsprogs-2.7.11-mkfs-inode.patch
# Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base
BuildPrereq: e2fsprogs-devel
BuildRequires: ncurses-devel
Conflicts: xfsdump < 2.0.0

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary: XFS filesystem-specific static libraries and headers.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.
#'

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
%setup -q
%patch0 -p1 -b .mkfs-inode

%build
# xfsprogs 2.8.3 is shipping no ./configure
autoconf

# xfsprogs abuses libexecdir
export tagname=CC DEBUG=-DNDEBUG
%configure --libdir=/%{_lib} --libexecdir=%{_libdir} \
	   --sbindir=/sbin --bindir=%{_sbindir} \
	--enable-shared=yes \
	--enable-gettext=yes \
	--enable-readline=yes \
	--enable-editline=no \
	--enable-ncurses=yes \
	--enable-shared-uuid=yes
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DIST_ROOT=$RPM_BUILD_ROOT install install-dev

# nuke .la files, etc
rm -f $RPM_BUILD_ROOT/{%{_lib}/*.{la,a,so},%{_libdir}/*.la}
# fix up symlink to be correct
rm -f $RPM_BUILD_ROOT/%{_libdir}/libhandle.so
ln -s ../../%{_lib}/libhandle.so.1 $RPM_BUILD_ROOT/%{_libdir}/libhandle.so
# remove non-versioned docs location
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/xfsprogs/

# ugly hack to allow parallel install of 32-bit and 64-bit -devel packages:
mv -f $RPM_BUILD_ROOT%{_includedir}/xfs/platform_defs.h \
      $RPM_BUILD_ROOT%{_includedir}/xfs/platform_defs-%{_arch}.h
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_includedir}/xfs/platform_defs.h

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc doc/CHANGES doc/COPYING doc/CREDITS doc/PORTING README
/sbin/*
%attr(0755,root,root) /%{_lib}/*.so.*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%files devel
%defattr(-, root, root, 0755)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9.7-2m)
- rebuild against gcc43

* Fri Mar  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9.7-1m)
- update 2.9.7

* Thu Feb  7 2008 Yohsuke Ooi <tab@momonga-linux.org>
- (2.9.6-1m)
- update 2.9.6
- use ncurses

* Tue Jan 22 2008 Yohsuke Ooi <tab@momonga-linux.org>
- (2.9.5-1m)
- update 2.9.5

* Fri Dec 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.18-1m)
- update

* Fri Dec 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.11-3m)
- chmod 0755

* Sat Oct 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.11-2m)
- update xfsprogs-wrapper.h for i686 arch

* Sat Oct 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.11-1m)
- update to 2.8.11
  merge from CentOS 4.3 CentOSplus

* Sun May 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7.11-1m)
- update to 2.7.11

* Sat Mar 04 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7.3-3m)
- add Patch2: xfsprogs-i-size-512.patch

* Wed Dec 28 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.7.3-2m)
- no NoSource

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.7.3-1m)
- update to 2.7.3

* Thu Feb  3 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.6.25-2m)
- enable x86_64.
- use relative path in symlinks.

* Wed Oct 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.25-1m)
  update to 2.6.25

* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.13-1m)
- update 2.6.13
- update Patch1: xfsprogs-shlibexe.patch

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.0-2m)
- revised spec for rpm 4.2.

* Tue Nov 25 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.0-1m)
- update to 2.6.0

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.5.11-1m)
- update to 2.5.11

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.9-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Feb 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.3.9-1m)
  update to 2.3.9

* Tue Nov 26 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.3.6-1m)
- update to 2.3.6 ([Momonga-devel.ja:00833] thanks, nosanosa)
- add BuildPrereq: e2fsprogs-devel (libuuid is used)
- add execute permissions to shlibs
- delete NoSource

* Mon Sep  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.2-2m)
- fix file location

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.2-1m)
  update to 2.2.2
	  
* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.6-1m)

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.3-4k)
- PreReq: /sbin/ldconfig -> glibc

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.0.3-2k)
- update to 2.0.3

* Fri Apr 12 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.1-2k)
- update to 2.0.1

* Sun Mar 17 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.0-2k)
- update to 2.0.0

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.3.17-2k)
- update to 1.3.17

* Thu Dec 18 2001 Masaru Sato <masachan@kondara.org>
- (1.3.13-6k)
- add xfsprogs-1.3.13.progpath.patch

* Thu Dec 18 2001 Masaru Sato <masachan@kondara.org>
- (1.3.13-6k)
- add xfsprogs-1.3.13.progpath.patch

* Thu Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.13-2k)
- update to 1.3.13

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.7-2k)
- First Kondarization
